The Spring Framework

## org.springframework.beans.factory.support
Class SimpleAutowireCandidateResolver

    java.lang.Object
      org.springframework.beans.factory.support.SimpleAutowireCandidateResolver

All Implemented Interfaces:
  AutowireCandidateResolver

    public class SimpleAutowireCandidateResolver

extends Object
implements AutowireCandidateResolver

`AutowireCandidateResolver` implementation to use when Java version is less than 1.5 and therefore no annotation support is available. This implementation checks the bean definition only.

Since:
  2.5
Author:
  Mark Fisher
See Also:
  `BeanDefinition.isAutowireCandidate()`

Constructor Summary
`SimpleAutowireCandidateResolver()`

Method Summary
`boolean` `isAutowireCandidate(BeanDefinitionHolder bdHolder, DependencyDescriptor descriptor)` Determine if the provided bean definition is an autowire candidate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAutowireCandidateResolver

    public SimpleAutowireCandidateResolver()

Method Detail

### isAutowireCandidate

    public boolean isAutowireCandidate(BeanDefinitionHolder bdHolder,
                                       DependencyDescriptor descriptor)

  Determine if the provided bean definition is an autowire candidate.

  To be considered a candidate the bean's autowire-candidate attribute must not have been set to 'false'.

  Specified by:
    `isAutowireCandidate` in interface `AutowireCandidateResolver`
  Parameters:
    `bdHolder` - the bean definition including bean name and aliases
    `descriptor` - the descriptor for the target method parameter or field
  Returns:
    whether the bean definition qualifies as autowire candidate

The Spring Framework

Copyright © 2002-2008 The Spring Framework.